package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.ClassDefChangeRecord;
import com.persagy.dmp.rwd.edit.entity.dto.ClassDefChangeRecordDTO;
import com.persagy.dmp.rwd.edit.service.ClassDefChangeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("/rwdedit/classDef/changeRecord")
public class ClassDefChangeRecordController {

    @Autowired
    private ClassDefChangeRecordService service;

    @PostMapping("/query")
    public PagedResponse<ClassDefChangeRecordDTO> query(@RequestBody JacksonCriteria criteria) {
        return service.queryChangeRecord(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody ClassDefChangeRecord param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody ClassDefChangeRecord param) {
        return service.update(param);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody ClassDefChangeRecord param) {
        return service.delete(param);
    }

    @PostMapping("/addVersion")
    public MapResponse addVersion(@RequestParam String version, @RequestBody List<Integer> idList) {
        return service.addVersion(version, idList);
    }
}
